> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Google Location Verification Process

> This endpoint initiates the verification process for a specific Google location identified by `google_location_id`. It requires authentication and authorization to access. The user must have at least the role of a `BUSINESS_MANAGER` to use this endpoint.

The endpoint ensures that the chosen verification method has all the necessary information for the specific method chosen. If any required information is missing, it raises an error with the associated error message.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml post /verifications/google-locations/{google_location_id}/start
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /verifications/google-locations/{google_location_id}/start:
    post:
      tags:
        - Google
      summary: Start Google Location Verification Process
      description: >
        This endpoint initiates the verification process for a specific Google
        location identified by `google_location_id`. It requires authentication
        and authorization to access. The user must have at least the role of a
        `BUSINESS_MANAGER` to use this endpoint.


        The endpoint ensures that the chosen verification method has all the
        necessary information for the specific method chosen. If any required
        information is missing, it raises an error with the associated error
        message.
      operationId: startGoogleLocationVerification
      parameters:
        - $ref: '#/components/parameters/google_location_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  enum:
                    - SMS
                    - PHONE_CALL
                    - EMAIL
                    - ADDRESS
                phone_number:
                  type: string
                  description: >
                    **REQUIRED** for `SMS` and `PHONE_CALL` methods. The phone
                    number to which the code will be send.
                  example: '+33187662490'
                email:
                  type: string
                  description: >
                    **REQUIRED** for `EMAIL` method. The email address to which
                    the code will be send.
                  example: email.api@partoo.fr
                full_name:
                  type: string
                  description: >
                    **REQUIRED** for `ADDRESS` method. The full name to which
                    the postcard will be send.
                  example: John Doe
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: The status of the response `success` or `error`.
                    example: success
                  message:
                    type: string
                    example: null
                    description: >
                      *OPTIONAL* Details of the error encountered. Can be one of
                      the following:
                        - `start_no_verification_found`: No verification request has been started.
                        - `start_error`: An error occured during the start of the verification process.
                    enum:
                      - start_no_verification_found
                      - start_error
        '400':
          description: Your request is incorrect
          content:
            application/json:
              schema:
                description: |
                  Error that occcurs when your request is incorrect
                properties:
                  errors:
                    type: object
                    description: The detail of the error encountered.
                    properties:
                      json:
                        type: object
                        properties:
                          method:
                            type: string
                            description: >
                              Details of the error encountered. Can be one of
                              the following:
                                - `sms_phone_call_method_without_phone_number`: The phone number is required for `SMS` and `PHONE_CALL` methods.
                                - `email_method_without_email`: The email address is required for `EMAIL` method.
                                - `address_method_without_full_name`: The full name is required for `ADDRESS` method.
                                - `not_supported`: The method is not supported.
                            example: sms_phone_call_method_without_phone_number
                            enum:
                              - sms_phone_call_method_without_phone_number
                              - email_method_without_email
                              - address_method_without_full_name
                              - not_supported
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    google_location_id:
      in: path
      name: google_location_id
      required: true
      schema:
        type: string
      description: Google location unique id on Partoo
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````